This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 867160 - ERROR with transaction check vs depsolve while installing nfs-utils-1:1.2.6-5.fc17.x86_64
ERROR with transaction check vs depsolve while installing nfs-utils-1:1.2.6-5...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 19:14 EDT by collura
Modified: 2012-11-10 22:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-10 22:23:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum update error (3.51 KB, text/plain)
2012-10-16 19:43 EDT, collura
no flags Details

  None (edit)
Description collura 2012-10-16 19:14:58 EDT
Description of problem:

system running fc17 with updates and updates-testing repositories enabled.

ran updater gui to get nfs-utils-1:1.2.6-5.fc17.x86_64 and got this error:

"ERROR with transaction check vs depsolve:
rpcbind is needed by nfs-utils-1:1.2.6-5.fc17.x86_64
Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum"


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. ran updater gui
2. got error
3.
  
Actual results:

  got error but update didnt complete

Expected results:

  no error

Additional info:
Comment 1 collura 2012-10-16 19:43:27 EDT
Created attachment 628467 [details]
yum update error
Comment 2 Steve Dickson 2012-10-17 09:05:20 EDT
Why is this an nfs-utils error and not a repo problem??
Comment 3 Steve Dickson 2012-10-17 09:06:36 EDT
(In reply to comment #2)
> Why is this an nfs-utils error and not a repo problem??
Never mind.. I see that its assigned correctly.... my bad...
Comment 4 collura 2012-11-10 22:23:31 EST
hmm i recently did a 'yum reinstall nfs-util*' which seems to have fixed things.

had tried to run updates and got:

  'ERROR with transaction check vs depsolve:
  rpcbind is needed by nfs-utils-1:1.2.6-6.fc17.x86_64
  Please report this error at https://bugzilla.redhat.com 
  /enter_bug.cgi?product=Fedora&version=rawhide&component=yum'

so tried 

  # yum check
  Loaded plugins: langpacks, presto, refresh-packagekit
  1:nfs-utils-1.2.6-5.fc17.x86_64 has missing requires of rpcbind

then tried

  # yum reinstall nfs-util*

and that 'yum reinstall nfs-util*' pulled in rpcbind

so then yum update to nfs-utils-1:1.2.6-6.fc17.x86_64 worked

so either something got fixed or was just a gremlin.

unless anyone else has had this am closing for now.

Note You need to log in before you can comment on or make changes to this bug.